 <!DOCTYPE html>
<html>
    <head>
        <title style="font: capitalize;"><%= _subName.replace('-', ' ').toUpperCase() %> | ACADEMY TALES</title>
        <meta charset="utf-8">
        <link rel="shortcut icon" type="image/png" href="/assets/img/logo.png"/>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="/assets/css/uikit.min.css" />
        <script src="/assets/js/uikit.min.js"></script>
        <script src="/assets/js/uikit-icons.min.js"></script>
        <script type="text/javascript">
            MathJax = {
              options: {
                skipHtmlTags: [
                    'form'
                ],
                ignoreHtmlClass: 'ck[*]',
                includeHtmlTags: {
                    br: '\n', wbr: '', '#comment': ''
                },
              }
            };
        </script>
        <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
        <script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3.0.0/es5/tex-mml-chtml.js"></script>
        <link href="https://fonts.googleapis.com/css2?family=Averia+Serif+Libre&family=Neucha&family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
        <style>
            h1, h1>span, h2 {
              font-weight: 500;
              font-size: 59;
              font-family: 'Roboto', sans-serif;
            }
            h3, h3 > span, h4 {
              font-weight: 400;
              font-size: 30;
              font: italic;
              font-family: 'Roboto', sans-serif;
            }
            p, div {
              font-size: 18px;
            }
            p {
              font-family: 'Neucha', cursive;
            }
            ul li, button > *, a {
              font-weight: 300;
              font-family: 'Roboto', sans-serif;
            }
            .topic-items li {
              font-weight: 100;
            }
            .uk-border-circle {
                border-radius: 100%!important;
            }
            mjx-container[jax="CHTML"][display="true"] {
              display: unset!important;
              text-align: left!important;
            }
        </style>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-149717145-1">
        </script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'UA-149717145-1');
        </script>
    </head>
    <body data-sub="<%= _subName %>" style=" background: #f2f7ff;">
      <div class="uk-margin-remove uk-grid-collapse uk-invisible@m" uk-grid>
        <div class="uk-position-relative uk-width-1-5">
              <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-background-primary uk-light" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky" style=" background: #162c42;">
                  <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active"><a href="/"><img src="/assets/img/logo.png" style=" height: 3rem; width: auto!important; margin: 10px;" class="uk-logo">
                            <!-- <h4 class="uk-visible@m uk-margin-remove-top uk-margin-auto-vertical">Academy Tales</h4> -->
                          </a></li>
                      </ul>
                  </div>
              </nav>
        </div>
        <div class="uk-position-relative uk-width-4-5">
              <nav class="uk-box-shadow-medium uk-navbar-container uk-navbar-sticky uk-navbar-transparent uk-background-primary uk-light" uk-navbar uk-sticky="sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky" style=" background: #044062;">
                  <!-- <div class="uk-navbar-left">
                      <ul class="uk-navbar-nav">
                          <li class="uk-active"><a href="#">View Notes</a></li>
                      </ul>
                  </div> -->
                  <div class="uk-navbar-right">
                      <ul class="uk-navbar-nav">
                          <!-- <li><a href="#" class="night-mode">Toggle Night Mode</a></li> -->
                          <li class="uk-visible@m"><a href="/me/class" class="uk-button uk-button-link"><span uk-icon="icon: arrow-left"></span> Class</a></li>
                          <!-- <li class="uk-visible@m"><a href="/"><button class="uk-button uk-button-primary uk-border-rounded"><span>Go home</span></button></a></li> -->
                          <!-- <li class=""><a href="/"><button class="uk-button uk-button-link"><span uk-icon="icon: home"></span></button></a></li> -->
                          <li class="uk-hidden@m"><a href="#"><button style="color: #fff" class="small-menu uk-button uk-button-link"><span uk-icon="icon: menu"></span></button></a></li>
                          <li class=""><a href="#"><button class="uk-button uk-button-link"></button></a></li>
                      </ul>
                  </div>
              </nav>
        </div>
      </div>
      <div class="uk-margin-remove uk-grid-collapse" uk-grid>
        <div class="uk-width-1-5@m side-menu-bar uk-visible@m uk-height-viewport uk-background-secondary" style="max-height: 100vh; overflow: auto; background: #044062; color: #fff !important; position: fixed; left: 0; top: 80px; z-index: 1">
          <div class="">
              <ul class="uk-list uk-list-large uk-light uk-padding uk-padding-remove-horizontal uk-padding-remove-top course-list">
                  <li class="uk-margin-small"><hr></li>
              </ul>
          </div>
          <div id="my-id" uk-offcanvas>
              <div class="uk-offcanvas-bar">

                  <button class="uk-offcanvas-close" type="button" uk-close></button>

              </div>
          </div>
        </div>
        <div class=" uk-width-1-5@m"></div>
        <div class="uk-position-relative uk-width-4-5@m" style="background: #f3f3f3">
            <div class="uk-container uk-align-center uk-margin-remove uk-padding-remove">
              <div class="uk-margin-top uk-padding-large uk-padding-remove-vertical uk-margin-left">
                <h2 class="sub-title"></h2>
                <hr class="uk-divider-small">
              </div>
              <video playsinline controls class="uk-height-max-large uk-height-large uk-margin-auto uk-align-center uk-margin-top" style="">
                  <source src="" type="video/mp4">
              </video>
            </div>
            <div>
                <ul class="uk-margin-top" uk-switcher="connect: .switcher-container" uk-tab>
                    <li class="uk-active"><a href="#"><span class="uk-hidden@m" uk-icon="icon: file-edit"></span> <span class="uk-visible@m">Section Notes</span></a></li>
                    <li><a href="#"><span class="uk-hidden@m" uk-icon="icon: info"></span> <span class="uk-visible@m"> Course Description</span></a></li>
                    <li><a href="#"><span class="uk-hidden@m" uk-icon="icon: commenting"></span> <span class="uk-visible@m">Comments (Q & A)</span></a></li>
                    <!-- <li><a href="#"><span class="uk-hidden@m" uk-icon="icon: question"></span> <span class="uk-visible@m">Sample Exercise</span></a></li> -->
                    <!-- <li><a href="#"><span class="uk-hidden@m" uk-icon="icon: receiver"></span><span class="uk-visible@m"> Contact A Tutor</span></a></li> -->
                    <li></li>
                </ul> 
            </div>
            <div class="uk-padding uk-padding-remove-vertical">
              <ul class="uk-switcher switcher-container">
                <li>
                  <div class="uk-container uk-padding-remove uk-margin-remove">
                    <h3>Section Notes</h3> 
                    <p class="sec-notes uk-flex-wrap-around uk-margin-remove uk-padding-remove"></p>
                    <div class="uk-clearfix uk-margin uk-text-right uk-margin-bottom">
                      <button class="uk-button uk-text-right play-next uk-light uk-hidden" style=" background: #162c42;">Play Next <span uk-icon="icon: chevron-double-right"></span></button>
                    </div>
                  </div>
                </li>
                <li>
                  <article class="uk-article uk-margin-bottom">

                      <h3 class="uk-card-title"><span class="sub-title"></span> <!-- <br><button class="uk-button uk-button-text" type="button" uk-toggle="target: +">Toggle Description Video</button> --></h3>

                      <!-- <p class="uk-article-meta">Uploaded <a href="#">Super User</a> on 12 April 2012. Posted in</p> -->
                      <!-- <p>Click to watch lecture</p> -->
                      
                      <!-- <hr class="uk-divider-small"> -->
                      <!-- <iframe class="uk-width-auto" frameborder="0" allowfullscreen uk-responsive uk-video="automute: false"></iframe> -->
                      <!-- <hr class="uk-divider-small"> -->
                      <p class="sub-desc"></p>

                  </article>
                </li>
                <li>
                  <div class="uk-margin-medium-top"></div>
                  <h6 class="uk-margin-remove uk-padding-remove"><b class="uk-text-bold" style="font-weight: 900!important">Q & A Forum</b></h6>
                  <ul class="comments-accordion" uk-accordion="">
                      <li class="uk-open">
                          <a class="uk-accordion-title" href="#" style="font-weight: 100!important">Don't understand this tutorial? (Ask the class)</a>
                          <div class="uk-accordion-content">
                              <form>
                                  <div class="uk-margin uk-grid-collapse" uk-grid>
                                    <div class="uk-width-expand">
                                      <input class="uk-input" type="text" name="comment" placeholder="Ask your question here..." />
                                    </div>
                                    <div class="uk-width-auto">
                                      <button class="uk-button uk-button-secondary ask-us-btn">Ask Us <span uk-icon="icon: arrow-right"></span></button>
                                    </div>
                                </div>
                              </form>
                          </div>
                      </li>
                      <li class="comments">
                          <a class="uk-accordion-title" href="#">Item 1</a>
                          <div class="uk-accordion-content uk-padding-remove">
                              <div class="uk-container uk-padding-remove uk-margin-remove">
                                <p class="uk-padding-remove uk-margin-remove">
                                  <div class="uk-padding-remove uk-margin-remove">
                                    <button class="uk-button uk-button-text"><span uk-icon="icon: triangle-up; ratio: 2.5"></span></button>
                                    <button class="uk-button uk-button-text"><span uk-icon="icon: triangle-down; ratio: 2.5"></span></button>
                                  </div>
                                  <input type="text" placeholder="Add a reply..." name="reply" class="uk-input" style="border-top: 0px; border-left: 0px; border-right: 0px; background: none;">
                                </p>

                              </div>
                          </div>
                      </li>
                      <li class="comments">
                          <a class="uk-accordion-title" href="#">Item 2</a>
                          <div class="uk-accordion-content">
                              <p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor reprehenderit.</p>
                          </div>
                      </li>
                      <li class="comments">
                          <a class="uk-accordion-title" href="#">Item 3</a>
                          <div class="uk-accordion-content">
                              <p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat proident.</p>
                          </div>
                      </li>
                  </ul>
                  <div class="uk-margin-large"></div>
                </li>
                <!-- <li>
                  <ul class="uk-list uk-list-striped">
                    <li>
                      <h6 class="uk-h6 uk-margin-remove-bottom ">1. What is blah blah blah?</h6>
                      <ul>
                        <li>a. blah1</li>
                        <li>b. blah2</li>
                        <li>c. blah3</li>
                        <li>d. blah4</li>
                      </ul>
                    </li>
                    <li>
                      <h6 class="uk-h6 uk-margin-remove-bottom">2. What is kpah kpah kpah?</h6>
                      <ul class="lis">
                        <li>a. kpah1</li>
                        <li>b. kpah2</li>
                        <li>c. kpah3</li>
                        <li>d. kpah4</li>
                      </ul>
                    </li>
                  </ul>
                </li> -->
                <!-- <li>
                  <h3>Contact a tutor</h3>
                  <div style="min-height: 200px" class="uk-container">
                    <button uk-icon="icon: receiver; ratio: 2" class="uk-button uk-button-default uk-text-success uk-padding-remove-horizxontal uk-padding-small uk-border-circle"></button>
                    <button uk-icon="icon: mail; ratio: 2" class="uk-button uk-button-default uk-text-primary uk-padding-remove-horizxontal uk-padding-small uk-border-rounded"></button>
                    <button uk-icon="icon: commenting; ratio: 2" class="uk-button uk-button-default uk-text-warning uk-padding-remove-horizxontal uk-padding-small"></button>
                  </div>
                </li> -->
              </ul>
            </div>

        </div>
      </div>
        <!-- <section class="uk-section">
            <div class="uk-text-center">Highschool Online &copy; 2019</div>
        </section> -->
        <!--Start of Tawk.to Script-->
        <script type="text/javascript">
        var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
        (function(){
        var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
        s1.async=true;
        s1.src='https://embed.tawk.to/5f1db8ba5e51983a11f5d453/default';
        s1.charset='UTF-8';
        s1.setAttribute('crossorigin','*');
        s0.parentNode.insertBefore(s1,s0);
        })();
        </script>
        <!--End of Tawk.to Script-->
    </body>
    <script src="https://code.jquery.com/jquery-3.3.1.js" integrity="sha256-2Kok7MbOyxpgUVvAk/HJ2jigOSYS2auK4Pfzbm7uH60=" crossorigin="anonymous"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.8.2/firebase-firestore.js"></script>
    <script src="/assets/js/config.js"></script>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
      function getComments(col, subject, topic, subtopic) {
        // console.log(col)
        // console.log(subject)
        // console.log(topic)
        // console.log(subtopic)
        // return
        $('.comments').remove()
        $('[name="comments"]').val('')
        firebase.firestore().collection(col).doc(subject).collection('topics').doc(topic).collection('subtopics').doc(subtopic).collection('comments').get()
        .then(function(comments) {
          comments.forEach(function(comment) {
            $('.comments-accordion').append(`<li class="comments">
                  <a class="uk-accordion-title uk-text-capitalize" href="#">${comment.data().question}</a>
                  <div class="uk-accordion-content uk-padding-remove">
                    <div class="uk-container uk-padding-remove uk-margin-remove">
                      <p class="uk-padding-remove uk-margin-remove">
                        <div class="uk-padding-remove uk-margin-remove">
                          <button class="uk-button uk-button-text"><span uk-icon="icon: triangle-up; ratio: 2.5"></span></button>
                          <button class="uk-button uk-button-text"><span uk-icon="icon: triangle-down; ratio: 2.5"></span></button>
                        </div>
                        <input type="text" placeholder="Add a reply..." name="reply" class="uk-input" style="border-top: 0px; border-left: 0px; border-right: 0px; background: none;">
                      </p>
                    </div>
                </div>
              </li>`)
          })
        })
      }
    </script>
    <script>
      let _the_topic = '';
      let _the_sub = '';
      $('.small-menu').on('click', function(e) {
        e.preventDefault()
        $('.side-menu-bar').toggleClass('uk-visible@m')
      })

      $('body').on('click', '.video-playlist', function(e) {
        e.preventDefault()
        $('.side-menu-bar').addClass('uk-visible@m')

        _the_topic = $(this).data('t')
        _the_sub = $(this).data('s')
        // -- $('video').attr('src', $(this).data('video'))
        // -- $('video').find('source').attr('src', $(this).data('video'))
        // $('video').trigger('play')
        $('.sec-notes').html(decodeURI($(this).data('notes')))
        getComments(_col, _subject, _the_topic, _the_sub)
        MathJax.typeset()
      })

      $('video').on('ended',function(){
        console.log('Video has ended!');
        let src = $('a[data-video="'+$(this).attr('src')+'"]').parents('li').next().next().find('a')
        if (src !== undefined) {
          swal("Do You Want to Continue Learning?", {
            buttons: {
              cancel: "Pause for a while",
              continue: true,
            },
          })
          .then(function(value) {
            switch (value) {
              case "continue":
                src.trigger('click')
                MathJax.typeset()
                return true;
              default:
                return false;
            }
          });
        }
      });

      let _subject = $('body').data('sub')
      let cores = ['core-mathematics', 'social-studies', 'integrated-science', 'english-language']
      let _col = 'subjects'
      if (cores.includes(_subject)) {
        _col = 'cores'
      }

      $('.course-list').on('click', '.topic-list', function(e) {
        e.preventDefault()
        $('.course-list').find('.topic-items.'+ $(this).closest('li').attr('id')+'-child-container').toggleClass('uk-hidden')
      })

      firebase.firestore().collection(_col).doc(_subject).collection('topics').get()
      .then(function (topics) {
        let topicCount = 0
        let subTopicCount = 1
        let addedTopic = 0
        topics.forEach(function(topic) {
          $('.course-list').append(`
                         <li class="uk-padding-small uk-padding-remove-vertical uk-margin-remove-vertical uk-text-capitalize" id="${topic.id}"><a href="#" class="topic-list">${++topicCount}. ${topic.id.replace(/-/g, ' ').substr(topic.id.indexOf('t0p1c') + 6, topic.id.length)}</a></li>
                         <li class="uk-margin-small"><hr></li><ul data-count="${topicCount}" class=" topic-items ${topic.id}-child-container child-container"></ul>`)
          firebase.firestore().collection(_col).doc(_subject).collection('topics').doc(topic.id).collection('subtopics').get()
          .then(function(subtopics) {
            subTopicCount = 1
            subtopics.forEach(function(sub) {
              let d = sub.data()
              let _topicCount = $('.course-list').find('.'+topic.id+'-child-container').data('count')
              
              $('.course-list').find('.'+topic.id+'-child-container').append(`
                           <li class="uk-padding-small uk-padding-remove-vertical uk-margin-remove-vertical uk-text-capitalize" data-t="${topic.id}-child"><a data-s="${sub.id}" data-t="${topic.id}" data-video="${d.videolink}" data-announcement="${d.announcement}" data-notes="${d.note}" class="uk-text-small lecture-resource video-playlist" href="#">${_topicCount}.${subTopicCount++} - ${sub.id.replace(/-/g, ' ').substr(sub.id.indexOf('ha231') + 6, sub.id.length)}</a></li>
                         <li class="uk-margin-small"><hr></li>`)
            })
          })
          .then(function() {
            swal("Welcome to your study area. Do you want to start learning from the beginning?", {
              buttons: {
                cancel: "I'll select the topic myself",
                continue: "Start Learning from the beginning",
              },
            })
            .then(function(value) {
              $('body').find('.topic-list').trigger('click')
              switch (value) {
                case "continue":
                  $('.course-list').find('.video-playlist').first().trigger('click')
                  $('body').find('.topic-list').first().trigger('click')
                  break;
                  return true;
                default:
                  $('body').find('.small-menu').trigger('click')
                  return false;
              }
            })
            .then(function() {
              MathJax.typeset()
            })
            // $('.course-list').find('.video-playlist').first().trigger('click')
            $('.play-next').removeClass('uk-hidden')
          })
        })
      })

      $('.play-next').on('click', function() {
        $('a[data-video="'+ $('video').attr('src') +'"]').parents('li').next().next().find('a').trigger('click')
      })

      firebase.firestore().collection(_col).doc(_subject).get()
      .then(function (subject) {
        // console.log(subject.data())
        let subj = subject.data()
        for(var topic in subj) {
          if (topic === 'description') {
            $('.sub-title').text(subj.description.name)
            $('.sub-desc').text(subj.description.desc)
            // $('iframe').data('src', subj.description.video + ';playsinline=0')
            // console.log(topic)
          }
        }
      })

      $('.course-list').on('click', '.lecture-resource', function(e) {
        e.preventDefault()
        $('video').attr('src', $(this).data('video'))
        $('video').trigger('play')
      })
      $('body').find('.topic-list').on('click', function(e) {
        e.preventDefault()
        let id = $(this).attr('id')
        alert()
        $('.child-container').addClass('uk-hidden')
        $('.'+id+'-child-container').removeClass('uk-hidden')
      })
    </script>
    <script>
      let _user = {}
      _user.name = 'Anonymous'
      _user.id = 'n/a'
    firebase.auth().onAuthStateChanged(function(user) {
          if (user) {
            _user.name = user.displayName
            _user.id = user.uid
              // firebase.firestore().collection('users').doc('XxrDYtdGnsf69JH3orW41pp9ZEi2').get()
              // .then(function(doc) {
              //     for( var x in doc.data().subjects) {
              //         firebase.firestore().collection(sub_type).doc(x).get()
              //         .then(function(subject) {
              //             if (subject.exists) {
              //                 $('[id="subjects-view"]').append(`
              //                     <div class="uk-card uk-card-default uk-grid-collapse uk-margin" uk-grid>
              //                         <div class="uk-card-media-left uk-cover-container uk-width-1-4">
              //                             <img src="/assets/img/bg0.jpg" alt="" uk-cover>
              //                             <canvas width="600" height="400"></canvas>
              //                         </div>
              //                         <div class="uk-width-3-4">
              //                             <div class="uk-card-body">
              //                                 <h3 class="uk-card-title uk-text-capitalize">${subject.id}</h3>
              //                                 <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt.</p>
              //                                 <div class="uk-text-right">
              //                                     <a href="/classroom/${subject.id.replace(' ', '-').toLowerCase()}" class="uk-button uk-button-text">Go To Classroom</a>
              //                                 </div>
              //                             </div>
              //                         </div>
              //                     </div>`
              //                 )
              //             } else {
              //                 console.log(subject.id)
              //             }
              //         })
              //     }
              // })
              // .then(function() {
              //     $('progress').val(100)
              //     $('.preload-screen').delay(700).fadeOut(200)
              // })
          } else {
              window.location.href = '/sign-in'
          }
      })
      $('.ask-us-btn').on('click', function(e) {
        e.preventDefault()
        if ($('[name="comment"]').val().length > 0) {
          firebase.firestore().collection(_col).doc(_subject).collection('topics').doc(_the_topic).collection('subtopics').doc(_the_sub).collection('comments').doc('tx'+(new Date).getTime()).set({
            question: $('[name="comment"]').val(),
            user: _user.id,
            username: _user.name
          })
          .then(function() {
            $('[name="comment"]').val('')
          })
        }
      })
    </script>
</html>